How to solve the UnsupportedClassVersionError error

by Michela Frigerio
3,333 views Published on Oct 24, 2011
Applies to: All versions
Table of contents

The UnsupportedClassVersionError can occurr in a Web Project that uses custom components, such as custom validation rules, servlets or listeners. All these components are developed using a different project (e.g. a Java project) in which you have to compile the Java classes and create a jar file that is included in the "lib" folder of the Web Project.

If you get this error trying to navigate the generated Web Application, you have to check which JDK version WebRatio is using to compile the Java classes of your custom components. The JDK version must be lower or equal than the JDK version used to launch the Application Server in which you deploy the Web Project. In order to check the compiler options:

  • Right-click on the Java project and choose the Build Path -> Configure Build Path command.
  • In the opening dialog, choose the Java Compiler option on the left menu.
  • Check the "Enable project specific settings" option and change the value of the "Compiler Compliance Level".
  • Right-click on the Java project and choose the Export -> JAR file command. Choose the lib folder of your Web Project as Export Destination.
  • Generate the Web Project.